{ config, lib, pkgs, ... } :
with lib;
let
  cfg = config.local.apps.messaging;
in
{
  options.local.apps.messaging.enable = mkEnableOption "Messaging apps";
  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      discord
      signal-desktop
      tdesktop
      teams
      thunderbird
      zoom-us
    ];
  };
}
