{ config, lib, pkgs, ... } :
with lib;
{
  programs = {
    zsh = { 
      enable = true;
      enableSyntaxHighlighting = true;
      initExtra = import ./zshrc.nix pkgs;
    };
    git = {
      enable = true;
      userEmail = "fabian@cluster451.org";
      userName = "Fabián Montero";
      signing.key = "E77A808BF9A955D668EEEA6473FA9C9CB5F0249B";
    };
  };
  
  home.packages = with pkgs; 
  [
    calc
    file
    gcc
    htop
    killall
    man-pages
    man-pages-posix
    tree
    units
    unzip
    usbutils
    zip
  ];
}
